#include "DSP2833x_Device.h"     // DSP281x Headerfile Include File

extern int Mode,Desk,Addrr,TermoAD,TermoRS,TermoSW,Currentoz;
extern int ExtraCanal[];

//	READY	---------------------------------------------------------
static inline void dat_READY(int x)
{	if(Desk==dsk_SHKF)	GpioDataRegs.GPBDAT.bit.GPIO60=!x;	else
						GpioDataRegs.GPBDAT.bit.GPIO59=!x;	}
static inline void set_READY(void)
{	if(Desk==dsk_SHKF)	GpioDataRegs.GPBCLEAR.bit.GPIO60=1;	else
						GpioDataRegs.GPBCLEAR.bit.GPIO59=1;	}
static inline void clear_READY(void)
{	if(Desk==dsk_SHKF)	GpioDataRegs.GPBSET.bit.GPIO60=1;	else
						GpioDataRegs.GPBSET.bit.GPIO59=1;	}
static inline void toggle_READY(void)
{	if(Desk==dsk_SHKF)	GpioDataRegs.GPBTOGGLE.bit.GPIO60=1;else
						GpioDataRegs.GPBTOGGLE.bit.GPIO59=1;}


extern LONGE Inputs;

void select_tpl_canal(int n_tpl);

void get_Mode(void);
void get_Inputs(void);

#define MAX_BUTTHURT 250000
